Subject: bug#29513: 25.2; find-dired-centinel

From: Noam Postavsky <[email-masked]>
Date: Tue, 11 Jun 2019 18:21:07 -0400

> See commit 249902d5ad5d3ae3e25323c23a2f442913729ceb.

> +(defcustom find-dired-refine-function #'find-dired-sort-by-filename
> +  "If non-nil, a function for refining the *Find* buffer of `find-dired'.

> +                (when (boundp 'find-dired-refine-function)

I think you meant just

    (when find-dired-refine-function

(boundp 'find-dired-refine-function) is always going to be true.

Although you could just drop the "If non-nil" and conditional
altogether: the feature can already be disabled by setting to #'ignore.